Subject: bug#25860: closed (Re: bug#25860: 25.1; Double macro execution)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Mar 2017 14:23:03 +0000

Your bug report

#25860: 25.1; Double macro execution

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25860: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25860
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25860: 25.1; Double macro execution
From: Eli Zaretskii <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 03 Mar 2017 16:21:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 27 Feb 2017 17:57:59 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked], [email-masked]
> 
> Anyway, if no objections come up in a few days, I will push this.

Done.

Subject: 25.1; Double macro execution
From: Marek Twardochlib <[email-masked]>
To: [email-masked]
Date: Fri, 24 Feb 2017 10:23:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I define a macro that simply insert "a" in the butter and called it
insert-a.
This is the macro code after C-x C-k C-e:

------------------------------------------------------------------------------
Command: last-kbd-macro
Key: none

Macro:

a            ;; self-insert-command
RET            ;; newline
------------------------------------------------------------------------------

Then I define another macro that simply call the previous macro
insert-a.

------------------------------------------------------------------------------
Command: last-kbd-macro
Key: none

Macro:

<<insert-a>>        ;; insert-a
a            ;; self-insert-command
RET            ;; newline
------------------------------------------------------------------------------

When I call the last macro the "a" will be inserted twice. Expected
behaviour is "a" inserted one time. The code of last macro shows already
the problem: there is a call to insert-a AND the body of macro insert-a.

I use macros on my daily job and this issue is fatal for me. I would be
happy if you could fix the bug.

Kind regards
Marek Twardochlib

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-11-15 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: DEU
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Mark set [2 times]
New macro counter value: 1 (1)
(Type e to repeat macro) [3 times]
Mark set [3 times]
Defining kbd macro...
Keyboard macro defined
Formatting keyboard macro...done
Defining kbd macro...
Keyboard macro defined
Formatting keyboard macro...done

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils cl-seq
cl-extra help-mode easymenu edmacro cl-loaddefs pcase cl-lib kmacro
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
w32notify w32 multi-tty make-network-process emacs)

Memory information:
((conses 16 91644 8248)
 (symbols 56 19844 0)
 (miscs 48 55 108)
 (strings 32 16448 5004)
 (string-bytes 1 453320)
 (vectors 16 12026)
 (vector-slots 8 427102 5471)
 (floats 8 160 246)
 (intervals 56 323 31)
 (buffers 976 18))